<!DOCTYPE html>
<html lang="en" dir="ltr">
   
<head> 
    <meta charset="utf-8">
    <link rel="stylesheet" href="{{ url_for('static',filename='styles/quiz.css') }}">
    <title>3...2...1...go</title>
</head>

<body>
 
    <!-- grupo de caixas centralizadas -->
    <div class="grupo_quiz">

        <!-- comando do quiz -->
        <div class="comando">
            {{ comando | safe }}
            <h3>Preencha as lacunas do código arrastando as palavras<h3>
        </div>

        <!-- caixa branca -->
        <div class="caixa_branca">

        <form action="#">
            <div class="caixa_feedback"></div>

            <!-- coluna de código -->
            <div class="coluna_codigo">
                {{ codigo | safe }}
            </div>

            <!-- coluna de opções -->
            <div class="coluna_opcoes">
                {{ respostas | safe }}
            </div>

            <!-- botões -->
            <input id="exe" type="button" value="Executar" onclick="verificarResposta()">
            <input class="reset" type="button" value="Recomeçar" onclick="recomecar()">
        </form>
            
        </div>

    </div>

</body>

<script>

{{ script | safe }}

function dragStart(event) {
    event.dataTransfer.setData("Text", event.target.id);
}

function dragging(event) {
    event.preventDefault();
}

function allowDrop(event) {
    event.preventDefault();
}

function drop(event) {
    event.preventDefault();
    var data = event.dataTransfer.getData("Text");
    event.target.appendChild(document.getElementById(data));

    var local_antigo = local_palavras[data];
    document.getElementById(local_antigo).style.width = "50px";
    local_palavras[data] = event.target.id

    event.target.style.width = "auto";
    if ( event.target.className == "caixa_resposta" ) {
        document.getElementById(data).style.padding = "5px 0px";
    }
    else if ( event.target.className == "caixa_opcoes" ) {
        document.getElementById(data).style.padding = "5px 10px";
    }
}

function verificarResposta() {
    num_resposta_correta = 0;
    var x;
    for (x in resposta_correta) {
        resposta = resposta_correta[x];

        if (resposta[1] == local_palavras[resposta[0]]) {
            num_resposta_correta++;
        }
    }

    feedback = document.getElementsByClassName("caixa_feedback")[0];
    feedback.style.padding = "15px";
    feedback.style.marginBottom = "30px";
    caixa_branca = document.getElementsByClassName("caixa_branca")[0].style;
    coluna_opcoes = document.getElementsByClassName("coluna_opcoes")[0].style;

     if (resposta_correta.length == num_resposta_correta) {
        caixa_branca.background = "#F5FFCC";
        caixa_branca.border = "2px solid #69800D";
        feedback.innerHTML = "Resposta correta! Parabéns! <span style='font-size:30px;'>&#128512;</span>";
        feedback.style.background = "#DAE6AC";
        feedback.style.color = "#69800D";
        coluna_opcoes.background = "#C9D49F";
        habilitar_prox_questao();
        congelar_respostas();
  
    } else {
        caixa_branca.background = "#FFD1CC";
        caixa_branca.border = "2px solid #80180D";
        feedback.innerHTML = "Resposta errada! Mas você pode tentar novamente. <span style='font-size:30px;'>&#128521;</span>";
        feedback.style.background = "#E6B2AC";
        feedback.style.color = "#80180D";
        coluna_opcoes.background = "#D4A49F";
    }
};

function recomecar() {
    location.reload();
    return false;
}

function redirecionar() {
    location.replace( {{ prox | safe }} )
}

function habilitar_prox_questao() {
    botao = document.getElementById("exe");
    botao.value = "Próximo desafio!";
    botao.onclick = function() {redirecionar()};
}

function congelar_respostas() {
    respostas = document.getElementsByClassName("opcoes")
    var i;
    for (i in respostas) {
        respostas[i].draggable = "";
        respostas[i].style.cursor = "default";
    }
}
</script>

</html>